Re: Patch/ix for 6.5 (267 Views)
Reply
Occasional Visitor
Pru Cahill
Posts: 2
Registered: ‎04-22-2009
Message 1 of 3 (267 Views)

Patch/ix for 6.5

I dowloaded the latest version to replace my 1.05 version and when i try to run the new version i get unresolved externals. Can i run with version 1.05 or can someone explain what is going wrong?
Occasional Visitor
Pru Cahill
Posts: 2
Registered: ‎04-22-2009
Message 2 of 3 (267 Views)

Re: Patch/ix for 6.5

The full error is as follows -

restore *patch65m;@.@.@;local;show
STORE/RESTORE VERSION C.65.14 (C) 1986 HEWLETT-PACKARD CO.

RESTORE *patch65m;@.@.@;LOCAL;SHOW

WED, APR 22, 2009, 3:28 PM


WILL RESTORE 9 FILES ; NUMBER OF FILES ON MEDIA 9

FILENAME GROUP ACCOUNT VOLUME RESTRICTIONS SECTORS CODE MEDIA
ABLDINTX.INSTALL .SYS DISC :C 352 NMPRG 1
ALKEDCAT.INSTALL .SYS DISC :C 144 1
ALKEDHLP.INSTALL .SYS DISC :C 1472 1
ANTSLOPT.INSTALL .SYS DISC :C 16 1
AUTOCM .INSTALL .SYS DISC :C 48 PROG 1
AUTOLED .INSTALL .SYS DISC :C 2976 NMPRG 1
AUTOSPTH.INSTALL .SYS DISC :C 432 NMPRG 1
PATCH000.INSTALL .SYS DISC :C 1024 MGCAT 1
PATCHIX .INSTALL .SYS DISC :C 8928 NMPRG 1

FILES RESTORED : 9

SYS:patchix version
UNRESOLVED EXTERNALS: _threaded_process (LDRERR 512)
UNRESOLVED EXTERNALS: _px_sched_yield (LDRERR 512)
UNRESOLVED EXTERNALS: _px_sigwait (LDRERR 512)
UNRESOLVED EXTERNALS: _px_sigwaitinfo (LDRERR 512)
UNRESOLVED EXTERNALS: _px_sigtimedwait (LDRERR 512)
UNRESOLVED EXTERNALS: _px_sigqueue (LDRERR 512)
Failed to locate the exported code symbol(s) for the imported code symbol(s)
listed above. (LDRERR 522)
Native mode loader message 522
Unable to load program to be run. (CIERR 625)
SYS:
Trusted Contributor
Masatake Hanayama
Posts: 72
Registered: ‎12-23-1996
Message 3 of 3 (267 Views)

Re: Patch/ix for 6.5

Those code symbols should be related to the POSIX(HP36395) module
and included in XL.PUB.SYS for MPE/iX version 6.5. The STORE/
RESTORE version implies 6.5, though please confirm it. If needed,
update to the latest 6.5 version (C.65.02). Those files should
not be included in pre-6.5.

You can still run PATCH/iX B.01.05 by restoring those files from
your backup or POWER PATCH tape without updating OS. Patch/iX for
6.0 (B.01.08) or Patch/iX for 5.5 (B.03.01) might be available.
Patch/iX for 6.5, 7.0 and 7.5 are the same file (B.03.02).
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.